nab(1)

NAME
nab - compiler for NAB programs

SYNOPSIS
nab [-v] [-c] [-o executable] [-Dname] [-noassert] [-nodebug] [-avs] files

DESCRIPTION
The nab program controls compiling and linking of NAB and C programs. It acts much like other compilers, compiling or linking depending upon file suffixes.

Upon encountering a file with a .nab suffix, nab runs the program through /lib/cpp, then through nab2c to create a C-language intermediate file, then through a C compiler (which one was determined when nab was compiled) to create an object file. Files with a .c suffix are compiled with the C compiler. These object files, and all other files on the command line, are passed to the loader, unless the -c option is specified.

nab accepts the following options.

-v  Verbose mode, in which commands are echoed to the screen.

-c  Compile only, do not link.

-o executable
    Gives the name of the executable; a.out by default.

-Dname
    Passed on to cpp.

-noassert
    Causes the compiler to ignore any assert statements in the code.

-nodebug
    Causes the compiler to ignore any debug statements in the code.

-avs
    Compiles to an AVS module, rather than to a stand-alone program.

SEE ALSO
NAB Users Manual